Bullet Collision Detection & Physics Library: gjkepa2_impl::GJK Struct Reference

Bullet Collision Detection & Physics Library

Classes | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
gjkepa2_impl::GJK Struct Reference
Collaboration diagram for gjkepa2_impl::GJK:
[legend]

## Classes
struct | sSV
struct | sSimplex
struct | eStatus

## Public Member Functions
| GJK ()
void | Initialize ()
eStatus::_ | Evaluate (const tShape &shapearg, const btVector3 &guess)
bool | EncloseOrigin ()
void | getsupport (const btVector3 &d, sSV &sv) const
void | removevertice (sSimplex &simplex)
void | appendvertice (sSimplex &simplex, const btVector3 &v)

## Static Public Member Functions
static btScalar | det (const btVector3 &a, const btVector3 &b, const btVector3 &c)
static btScalar | projectorigin (const btVector3 &a, const btVector3 &b, btScalar *w, U &m)
static btScalar | projectorigin (const btVector3 &a, const btVector3 &b, const btVector3 &c, btScalar *w, U &m)
static btScalar | projectorigin (const btVector3 &a, const btVector3 &b, const btVector3 &c, const btVector3 &d, btScalar *w, U &m)

## Public Attributes
tShape | m_shape
btVector3 | m_ray
btScalar | m_distance
sSimplex | m_simplices [2]
sSV | m_store [4]
sSV * | m_free [4]
U | m_nfree
U | m_current
sSimplex * | m_simplex
eStatus::_ | m_status

## Detailed Description

Definition at line 155 of file btGjkEpa2.cpp.

## Constructor & Destructor Documentation

## ◆ GJK()

gjkepa2_impl::GJK::GJK | ( |  | ) |
| inline

Definition at line 189 of file btGjkEpa2.cpp.

## Member Function Documentation

## ◆ appendvertice()

void gjkepa2_impl::GJK::appendvertice | ( | sSimplex & | simplex,
|  | const btVector3 & | v )
| inline

Definition at line 413 of file btGjkEpa2.cpp.

## ◆ det()

btScalar gjkepa2_impl::GJK::det | ( | const btVector3 & | a,
|  | const btVector3 & | b,
|  | const btVector3 & | c )
| inlinestatic

Definition at line 419 of file btGjkEpa2.cpp.

## ◆ EncloseOrigin()

bool gjkepa2_impl::GJK::EncloseOrigin | ( |  | ) |
| inline

Definition at line 338 of file btGjkEpa2.cpp.

## ◆ Evaluate()

eStatus::_ gjkepa2_impl::GJK::Evaluate | ( | const tShape & | shapearg,
|  | const btVector3 & | guess )
| inline

Definition at line 201 of file btGjkEpa2.cpp.

## ◆ getsupport()

void gjkepa2_impl::GJK::getsupport | ( | const btVector3 & | d,
|  | sSV & | sv ) const
| inline

Definition at line 404 of file btGjkEpa2.cpp.

## ◆ Initialize()

void gjkepa2_impl::GJK::Initialize | ( |  | ) |
| inline

Definition at line 193 of file btGjkEpa2.cpp.

## ◆ projectorigin() [1/3]

btScalar gjkepa2_impl::GJK::projectorigin | ( | const btVector3 & | a,
|  | const btVector3 & | b,
|  | btScalar * | w,
|  | U & | m )
| inlinestatic

Definition at line 425 of file btGjkEpa2.cpp.

## ◆ projectorigin() [2/3]

btScalar gjkepa2_impl::GJK::projectorigin | ( | const btVector3 & | a,
|  | const btVector3 & | b,
|  | const btVector3 & | c,
|  | btScalar * | w,
|  | U & | m )
| inlinestatic

Definition at line 457 of file btGjkEpa2.cpp.

## ◆ projectorigin() [3/3]

btScalar gjkepa2_impl::GJK::projectorigin | ( | const btVector3 & | a,
|  | const btVector3 & | b,
|  | const btVector3 & | c,
|  | const btVector3 & | d,
|  | btScalar * | w,
|  | U & | m )
| inlinestatic

Definition at line 503 of file btGjkEpa2.cpp.

## ◆ removevertice()

void gjkepa2_impl::GJK::removevertice | ( | sSimplex & | simplex | ) |
| inline

Definition at line 409 of file btGjkEpa2.cpp.

## Member Data Documentation

## ◆ m_current

U gjkepa2_impl::GJK::m_current

Definition at line 185 of file btGjkEpa2.cpp.

## ◆ m_distance

btScalar gjkepa2_impl::GJK::m_distance

Definition at line 180 of file btGjkEpa2.cpp.

## ◆ m_free

sSV* gjkepa2_impl::GJK::m_free[4]

Definition at line 183 of file btGjkEpa2.cpp.

## ◆ m_nfree

U gjkepa2_impl::GJK::m_nfree

Definition at line 184 of file btGjkEpa2.cpp.

## ◆ m_ray

btVector3 gjkepa2_impl::GJK::m_ray

Definition at line 179 of file btGjkEpa2.cpp.

## ◆ m_shape

tShape gjkepa2_impl::GJK::m_shape

Definition at line 178 of file btGjkEpa2.cpp.

## ◆ m_simplex

sSimplex* gjkepa2_impl::GJK::m_simplex

Definition at line 186 of file btGjkEpa2.cpp.

## ◆ m_simplices

sSimplex gjkepa2_impl::GJK::m_simplices[2]

Definition at line 181 of file btGjkEpa2.cpp.

## ◆ m_status

eStatus::_ gjkepa2_impl::GJK::m_status

Definition at line 187 of file btGjkEpa2.cpp.

## ◆ m_store

sSV gjkepa2_impl::GJK::m_store[4]

Definition at line 182 of file btGjkEpa2.cpp.

The documentation for this struct was generated from the following file:

- btGjkEpa2.cpp